Bug 1308027 - rubygem-fakeweb: FTBFS in rawhide
Summary: rubygem-fakeweb: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-fakeweb
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F24FTBFS
TreeView+ depends on / blocked
 
Reported: 2016-02-13 22:19 UTC by Fedora Release Engineering
Modified: 2016-04-19 20:30 UTC (History)
3 users (show)

Fixed In Version: rubygem-fakeweb-1.3.0-17.fc25 rubygem-fakeweb-1.3.0-17.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-19 20:30:57 UTC


Attachments (Terms of Use)
build.log (14.61 KB, text/plain)
2016-02-13 22:19 UTC, Fedora Release Engineering
no flags Details
root.log (83.14 KB, text/plain)
2016-02-13 22:19 UTC, Fedora Release Engineering
no flags Details
state.log (657 bytes, text/plain)
2016-02-13 22:19 UTC, Fedora Release Engineering
no flags Details
Fix FTBFS sue to Ruby 2.3 (3.41 KB, patch)
2016-04-13 12:29 UTC, Jun Aruga
no flags Details | Diff
Fix FTBFS sue to Ruby 2.3 modified (3.44 KB, patch)
2016-04-13 12:43 UTC, Jun Aruga
no flags Details | Diff
Fix FTBFS sue to Ruby 2.3 modified 2 (7.20 KB, patch)
2016-04-14 09:24 UTC, Jun Aruga
no flags Details | Diff

Description Fedora Release Engineering 2016-02-13 22:19:29 UTC
Your package rubygem-fakeweb failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12866124

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

Comment 1 Fedora Release Engineering 2016-02-13 22:19:32 UTC
Created attachment 1126141 [details]
build.log

Comment 2 Fedora Release Engineering 2016-02-13 22:19:33 UTC
Created attachment 1126142 [details]
root.log

Comment 3 Fedora Release Engineering 2016-02-13 22:19:35 UTC
Created attachment 1126143 [details]
state.log

Comment 4 Jan Kurik 2016-02-24 15:07:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Jun Aruga 2016-04-13 12:23:24 UTC
Hi, I will fix this bug.

Comment 6 Jun Aruga 2016-04-13 12:29:18 UTC
Created attachment 1146840 [details]
Fix FTBFS sue to Ruby 2.3

I created a patch file to fix the test suite for Ruby 2.3.
Refer: https://github.com/chrisk/fakeweb/pull/56
As I could not patch directly for above pull-request. I created a patch file by myself.
Also fixed rpmlint issue. See the lines for "Provides", removing orig file.

Comment 7 Jun Aruga 2016-04-13 12:43:15 UTC
Created attachment 1146842 [details]
Fix FTBFS sue to Ruby 2.3 modified

Sorry, I changed the comment in the spec file, and uploaded the patch file again.
Could you check this attachment file?

----
Fix FTBFS sue to Ruby 2.3

I created a patch file to fix the test suite for Ruby 2.3.
Refer: https://github.com/chrisk/fakeweb/pull/56
As I could not patch directly for above pull-request. I created a patch file by myself.
Also fixed rpmlint issue. See the lines for "Provides", removing orig file.

Comment 8 Jun Aruga 2016-04-13 13:16:44 UTC
> Also fixed rpmlint issue. See the lines for "Provides", removing orig file.

This logic "removing orig file" might be complicated.
I am planning to update Patch #1, #2 files, not to create orig file.

Comment 9 Fedora Admin XMLRPC Client 2016-04-14 04:37:49 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Admin XMLRPC Client 2016-04-14 05:10:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Jun Aruga 2016-04-14 09:24:10 UTC
Created attachment 1147086 [details]
Fix FTBFS sue to Ruby 2.3 modified 2

> > Also fixed rpmlint issue. See the lines for "Provides", removing orig file.
> 
> This logic "removing orig file" might be complicated.
> I am planning to update Patch #1, #2 files, not to create orig file.

I fixed above thing too now, and included it in this patch file. All my modification is included in this patch file.
Please delete my previous patch files.

Can you check it?
Thanks.

Comment 12 Upstream Release Monitoring 2016-04-15 10:18:05 UTC
jaruga's rubygem-fakeweb-1.3.0-17.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=754679

Comment 13 Fedora Update System 2016-04-15 10:43:59 UTC
rubygem-fakeweb-1.3.0-17.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b239257e55

Comment 14 Fedora Update System 2016-04-15 23:21:56 UTC
rubygem-fakeweb-1.3.0-17.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b239257e55

Comment 15 Fedora Update System 2016-04-19 20:30:54 UTC
rubygem-fakeweb-1.3.0-17.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.